import request from '@/utils/request'

export function getQuarantinePage(data) {
  return request({
    url: '/js-produce-check/page',
    method: 'get',
    params: data
  })
}

export function getQuarantineList(data) {
  return request({
    url: '/js-produce-check/list',
    method: 'post',
    data: data
  })
}

export function getQuarantineDetail(data) {
  return  request({
    url: '/js-produce-check/listById',
    method: 'post',
    data: data
  })
}

export function addQuarantinePage(data) {
  return request({
    url: '/js-produce-check/add',
    method: 'post',
    data: data
  })
}

export function editQuarantinePage(data) {
  return request({
    url: '/js-produce-check/edit',
    method: 'post',
    data: data
  })
}

export function delQuarantinePage(data) {
  return request({
    url: '/js-produce-check/delete',
    method: 'post',
    data: data
  })
}
